<?php
class CsvstoresController extends AppController
{
	var $uses = array('Csvstore', "User", "Config", "Chain");

	var $paginate = array(
        'limit' => 100,
        'order' => array(
            'Csvstore.id' => 'asc'
        )
    );
	
	function show() {
		$csvstores = $this->paginate('Csvstore');
		$this->set(compact('csvstores'));
		
		$this->set("loggedInRoleID",  $this->getLoggedInRoleID());

		$this->set("adminRoleID", $this->getRoleIdByKey("admin"));
	}
	
	function change($id=0) {
		if ($this->requireAccess(true, array("admin"))) {
			$id=(int)$id;
			
			$this->set("chains", $this->Chain->findAll("isEnabled='y'"));
			// force user to login
			if ($this->requireAccess(true, NULL)) {
	//print_r( $this->Csvstore->findAll("isEnabled='y'"));
				$csvstore = $this->Csvstore->read(null, $id);
				$this->set(compact("csvstore"));
				if (isset($this->params["data"])) {
					
					$csvstore=$this->params["data"];
			
					if ($this->Csvstore->save($csvstore))
					{
						$this->flash('Markt (ID: '.$id.') wurde aktualisiert.', '/csvstores/show');
					}
				}
			}
		}
	}
	


	/* evtl problematisch weil der client viell mit herstellern arbeitet die hier sofort deaktiviert werden knnen
	wo sich der client noch auf den hersteller bezieht
	*/
	function deactivate($id) {
		if ($this->requireAccess(true, array("admin"))) {
			$id=(int)$id;
			$csvstore = $this->Csvstore->read(null, $id);
			$csvstore['Csvstore']['isEnabled']="n";
	
			if ($this->Csvstore->save($csvstore))
			{
				$this->flash('Markt (ID: '.$id.') wurde deaktiviert.', '/csvstores/show');
			} else {
				$this->flash('Markt (ID: '.$id.') konnte nicht deaktiviert werden.', '/csvstores/show', 0);
			}
		}
	}
	
	function activate($id) {
		if ($this->requireAccess(true, array("admin"))) {
			$id=(int)$id;
			$csvstore = $this->Csvstore->read(null, $id);
			$csvstore['Csvstore']['isEnabled']="y";
	
			if ($this->Csvstore->save($csvstore))
			{
				$this->flash('Markt (ID: '.$id.') wurde aktiviert.', '/csvstores/show');
			}
		}
	}


	
	
	/*
	function addresponsibilityreminder() {
		if ($this->requireAccess(true, array("accountmanager"))) {

			if (isset($this->params["form"]["reminder"])) {
			
				$this->params["form"]["reminder"]["Responsibilityreminder"]["uts_inserted"]=time();
				$this->params["form"]["reminder"]["Responsibilityreminder"]["user_inserted"]=$this->getLoggedInUserID();
				$this->params["form"]["reminder"]["Responsibilityreminder"]["uts_reminderdate"]=strtotime($this->params["form"]["reminder"]["Responsibilityreminder"]["reminderdate"]);
	//			print_r($this->params["form"]["reminder"]);
				if ($this->Responsibilityreminder->save($this->params["form"]["reminder"])) {
					$this->redirect("/csvstores/show");
				} else {
					$this->flash("Datenbankfehler beim Speichern des Reminders", "/csvstores/show", 10);
				}
			}
		}
	}
	
	function sendresponsibilityreminders() {
		if ($this->requireAccess(true, array("accountmanager"))) {
			$sentMailCounter=0;
			$errMailCounter=0;
			
			$responsibilityreminders = $this->Responsibilityreminder->findAll("Responsibilityreminder.isEnabled='y' and uts_reminderdate<".time()." and uts_reminder_sent<=0");
			
			foreach ($responsibilityreminders as $responsibilityreminder) {
				$csvstore="";
				$message="";
			
				$projectName = $this->Config->getConfigValue("projectName");
				$emailFooterDelimiter = $this->Config->getConfigValue("emailFooterDelimiter");
				$emailFooter = $this->Config->getConfigValue("emailFooter");
				
				$responsibilityreminderbody = $this->Config->getConfigValue("responsibilityreminderbody");
				//print_r($_SERVER);
				$https=""; if (isset($_SERVER['HTTPS'])) $https="s";
				$responsibilityreminderbody = str_replace("###STORELINK###", "http" .$https."://". $_SERVER['HTTP_HOST'] . "/csvstores/details/?storeID=" . $responsibilityreminder['Csvstore']['id'], $responsibilityreminderbody);
				
				$csvstore .= $responsibilityreminder['Csvstore']['uniqueExtID'] . "\n";
				$csvstore .= $responsibilityreminder['Csvstore']['address']. "\n";
				$csvstore .= $responsibilityreminder['Csvstore']['zipcode'] . " ";
				$csvstore .= $responsibilityreminder['Csvstore']['city'] . "\n";
				
				
				$responsibilityreminderbody = str_replace("###OUTLET###", $csvstore, $responsibilityreminderbody);
				$responsibilityreminderbody = str_replace("###DESCRIPTION###", "Beschreibung: " . $responsibilityreminder['Responsibilityreminder']['description'], $responsibilityreminderbody);
				
				
				$message .= $responsibilityreminderbody;
				$message .= $emailFooterDelimiter;
				$message .= $emailFooter;
				
				
				
				$subject = "automatisches E-Mail von " . $projectName . ": Erinnerung an genderte Marktzuteilungen";
				if ($this->sendMail($responsibilityreminder["User"]["email"], $subject, $message)) {
					$sentMailCounter++;
					
					// als verschickt markieren
					$responsibilityreminder["Responsibilityreminder"]["uts_reminder_sent"]=time();
					$this->Responsibilityreminder->save($responsibilityreminder);
				} else {
					$errMailCounter++;
				}
			}
			echo "found: " . sizeof($responsibilityreminders) . " sent: " . $sentMailCounter . " err: " . $errMailCounter;
			
		}
		exit(0); // wird con cron aufgerufen

	}
	
	function details() {
   		if ($this->requireAccess(true, array("accountmanager"))) {
			//print_r($this->params["data"]);
			if (isset($this->params["data"])) {
				$aclusersresponsibility=$this->params["data"];
				
				if (isset($aclusersresponsibility["Aclusersresponsibility"]["current_user_id"])) {
					echo "!!!!!!!!!!!!!!!!!!!!change instead of update!!!!!!!!!!!!!!!!!!!!!!!!!!!";
					// user soll gendert und nicht neu angelegt werden, bisherige acl suchen ...
					$current_aclusersresponsibility = 
									$this->Aclusersresponsibility->find(
									" responsibility_id= " .		$aclusersresponsibility["Aclusersresponsibility"]["responsibility_id"] . 
									" and  	user_id=".				$aclusersresponsibility["Aclusersresponsibility"]["current_user_id"] . 
									" and csvstore_id=" .			$aclusersresponsibility["Aclusersresponsibility"]["csvstore_id"] );
									
					// neuen user bernehmen
					$aclusersresponsibility["Aclusersresponsibility"]["id"] = $current_aclusersresponsibility["Aclusersresponsibility"]["id"];
				}
				print_r($aclusersresponsibility);
				$this->Aclusersresponsibility->save($aclusersresponsibility);
			}
			
			$storeID=mysql_real_escape_string($_REQUEST['storeID']);
			if ($storeID>0) {
				$this->set(compact('storeID'));
			
				$csvstore = $this->Csvstore->find("isEnabled='y' and id=".$storeID);
				$this->set(compact('csvstore'));
				
				//print_r( $this->Responsibility );
				//echo "---UNBIND---";
				// modell neu binden, damit auf csvstore gefiltert werden kann
				 //$this->Responsibility->unbindModel(
	 //array('hasAndBelongsToMany' )
	 //);
	
				//print_r( $this->Responsibility );
				//echo "---BIND---";
	
				$this->Responsibility->bindModel(
					array("hasAndBelongsToMany" => array(
						'User' =>
							 array(	'className' => 'User',
									'joinTable' => 'aclusersresponsibilities',
									'foreignKey' => 'responsibility_id',
									'associationForeignKey' => 'user_id',
									'conditions' => 'Aclusersresponsibility.csvstore_id=' . $storeID,
							 )
						)
					)
				, true); 
	
	
				//$this->Responsibility->contain('Acluserresponsibility.csvstore_id='. $storeID);
				
				//print_r( $this->Responsibility );
				//$responsibilities = $this->paginate('Responsibility');
				
				// paginate geht nicht mit bindModel(), daher findAll()
				$responsibilities = $this->Responsibility->findAll();
				$this->set(compact('responsibilities'));
				//print_r($responsibilities);
			}
			$users = $this->User->findAll("isEnabled='y'");
			$this->set(compact('users'));
			
			$responsibilityreminderUntilOld = $this->Config->getConfigValue("responsibilityreminderUntilOld");
			$responsibilityreminders = $this->Responsibilityreminder->findAll("Responsibilityreminder.isEnabled='y' and uts_reminderdate >= " . (time() - $responsibilityreminderUntilOld*60*60) . " order by uts_reminderdate asc" );
			$this->set(compact('responsibilityreminders'));
			
			
		}
		
	}
	*/

	
}
?>
