<?php
class Round extends AppModel
{
    var $name = 'Round';
	
	
	var $hasMany = array(
	 'Deadline' => array(
	 'className' => 'Deadline',
	 'foreignKey' => 'round_id',
	 'conditions' => array(''), // Deadline.manufacturer_id=1//'conditions' => array('Comment.status' => '1'),
	 'order' => '', //Comment.created DESC
	 'limit' => '', // 5
	 // 'dependent'=> true
	 )
	); 
	
	function getLastNRounds($numberOfRounds) {
		return $this->findAll("Round.id=" . $this->getCurrentRoundID() . " or uts_round_until < " . time() . " order by uts_round_until desc limit " .($numberOfRounds ) );
		
	}
	
	// alle runden, die nach der startzeit enden und alle runden, die mit der endzeit oder frher anfangen
	// d.h. letzte runde kann fehlen, wenn die rundenendzeit nach der endzeit ist
	function getRoundsBetween($uts_start, $uts_end) {
		//echo "between: $uts_start, $uts_end";
		$rounds = $this->findAll("uts_round_until <= " . $uts_end . " and uts_round_until > " . $uts_start);
		
		return $rounds;
	}
	
	function getRoundIDsBetween($uts_start, $uts_end) {
		$rounds = $this->getRoundsBetween( $uts_start, $uts_end );

		$ret = array();
		foreach ($rounds as $round) {
			array_push($ret, $round["Round"]["id"]);
		}
		return $ret;
	}
	function getRoundIDsForRounds($rounds) {
		$ret = array();
		foreach ($rounds as $round) {
			array_push($ret, $round["Round"]["id"]);
		}
		return $ret;
	}
	
	
	function getCurrentRoundID() {
		$round = $this->query("select id from rounds where uts_round_until > " . time() . " order by uts_round_until asc limit 1" );
		return $round[0]['rounds']['id'];
	}
	
	function getCurrentRound() {
		return $this->find("uts_round_until > " . time(), "", "uts_round_until asc", 1 );
	}
	
	
	function getAllUtsRoundFrom() {
		$round = $this->query("select id, uts_round_until from rounds where isEnabled='y' order by uts_round_until asc" );
		print_r($round);
	}
	
	function getFirstRoundInYear() {
		$rounds = $this->find("isEnabled='y' order by uts_round_until asc");
		foreach ($rounds as $round) {
			if (date("Y", $round["Round"]["uts_round_until"]) == date("Y")) {
				return $round;
			}
		}
	}	
	function getLastRoundInYear() {
		$rounds = $this->find("isEnabled='y' order by uts_round_until desc");
		foreach ($rounds as $round) {
			if (date("Y", $round["Round"]["uts_round_until"]) == date("Y")) {
				return $round;
			}
		}
	}	
	
	
	function getUtsRoundFrom($allrounds, $round_id) {
	
		$lastround=null;
		foreach ($allrounds as $allround) {
			//print_r($allround);
			if ($allround["rounds"]["id"] == $round_id) {
				// runde gefunden, die davor gibt den startzeitpunkt an
				if ($lastround == null) {
					return 0; // dies ist die 1. runde im system, d.h. man kann nicht sagen wann diese runde beginnt
				}
				
				//echo $lastround["rounds"]["id"] . " ist vor der runde " . $allround["rounds"]["id"] . "<br>";
				return $lastround["rounds"]["uts_round_until"]+1; // diese runde beginnt eine sekunde nach der letzten
			}
			$lastround=$allround;
		}
	}
	
	//Uts_round_until der ausgewhlten Runde wird rausgefiltert
	function getUtsRoundUntil($allrounds, $round_id) {
		
		foreach ($allrounds as $allround) {
		
			if ($allround["Round"]["id"] == $round_id) {
					$utsRoundUntil = $allround["Round"]["uts_round_until"];
					break;
			}
		}
		return $utsRoundUntil;
	}
	
	// callback wird von cakephp ausgelst, see http://book.cakephp.org/view/76/Callback-Methods
	function afterFind($results, $primary) {
	
		//echo "afterFind";
		//if (sizeof($results)<10) print_r($results);
		$allrounds = $this->query("select * from rounds where isEnabled='y' order by uts_round_until asc" );
		
		//if (sizeof($results)<10) print_r($allrounds);
	
		foreach ($results as $key => $value) {
			if (isset($value["Round"])) {
				$results[$key]["Round"]["uts_round_from"]=$this->getUtsRoundFrom($allrounds,$value["Round"]["id"]);
			}
			if (isset($value["Roundfrom"])) {
				$results[$key]["Roundfrom"]["uts_round_from"]=$this->getUtsRoundFrom($allrounds,$value["Roundfrom"]["id"]);
			}
			if (isset($value["Rounduntil"])) {
				$results[$key]["Rounduntil"]["uts_round_from"]=$this->getUtsRoundFrom($allrounds,$value["Rounduntil"]["id"]);
			}
		}
		
		//if (sizeof($results)<10)  print_r($results);
		
		return $results;
	}
	
	
	function getUtsSingleRoundFrom($round_id) {
		$round = $this->query("select uts_round_until from rounds where uts_round_until < " . time() . " order by uts_round_until desc limit 1" );
		
		// diese runde geht eine sekunde nach der letzten runde los
		return $round[0]['rounds']['uts_round_until'] + 1;
	}
	
	
	/*
	var $belongsTo= array('Distributor' =>
		array('className'    => 'Distributor',
			  'conditions'   => '',
			  'order'        => '',
			  'foreignKey'   => ''
		),
							
		'Manufacturer' =>
		array(
			  'className'    => 'Manufacturer',
			  'conditions'   => '',
			  'order'        => '',
			  'foreignKey'   => ''
		),
	);
	*/
}
?>