<?php
class PaymentsController extends AppController
{


	var $helpers = array("Form");

	var $uses = array("Payment", "Config", "Manufacturer", "Csvstore", "Paymenttype", "Aclusersmanufacturer", "Acluserscsvstore", "Round", "Paymentcheck");

	var $paginate = array(
        'limit' => 100, // brauchma für /payments/check fürn rep
        'order' => array(
            'Payment.id' => 'asc' // bewusst nach Csvstore.uniqueExtID sortiert für /payments/show
        )
    );


	
	function deactivate($id)
	{
		$payment = $this->Payment->find("Payment.id=" . $id);
		
		$payment['Payment']['isEnabled']="n";
		
		if ($this->Payment->save($payment))
		{
			$this->flash('Payment (ID: '.$id.') wurde deaktiviert.', '/payments/show');
		} else {
			$this->flash('Payment (ID: '.$id.') konnte nicht deaktiviert werden.', '/payments/show', 0);
		}
	}
	function activate($id)
	{
		$payment = $this->Payment->find("Payment.id=". $id);
		$payment['Payment']['isEnabled']="y";

		if ($this->Payment->save($payment))
		{
			$this->flash('Payment (ID: '.$id.') wurde aktiviert.', '/payments/show');
		}
	}



	// "löscht"/deaktiviert eine zahlung
	// zusatzfunktion, nirgendwo im pflichtenheft spezifiziert
	function delete() {
		if ($this->requireAccess(true, array("accountmanager"))) {
			$payment['Payment']['id']=mysql_real_escape_string($_REQUEST['payment_id']);
			$payment['Payment']['isEnabled']='n';
			$this->Payment->save($payment);
			$this->redirect("/payments/show");
		}
	}

	function add() {
		if ($this->requireAccess(true, array("accountmanager"))) {


			if ( isset($this->params['form']['button'])) {
				// user hat formular ausgefüllt und möchte daten speichern

				$payment = $this->params['data'];

				// an dieser stelle an die view übergeben, damit der user seine eingegeben daten und nichts abgeändertes sieht
				// bsp: user gibt ein: 1.2.2008, das wird 2 zeilen weiter unten auf uts konvertiert aber user soll im formular wieder 1.2.2008 und nicht den uts sehn
				$this->set("payment", $payment);

				// nachdem der user eingegen hat, werden manche formate noch konvertiert und daten hinzugefügt: zeit auf uts, userid und ip hinzugefügt
				$payment["Payment"]["uts_payment_from"]=strtotime($payment["Payment"]["uts_payment_from"]);
				$payment["Payment"]["uts_payment_until"]=strtotime($payment["Payment"]["uts_payment_until"]);
				$payment["Payment"]["uts_inserted"]=time();
				$payment["Payment"]["user_id_inserted"]=$this->getLoggedInUserID();
				$payment["Payment"]["ip"]=$_SERVER['REMOTE_ADDR'];
				if (!isset($payment["Payment"]["hasToBeCheckedByRep"])) {
					$payment["Payment"]["hasToBeCheckedByRep"]= "n";
				}



				if ( $this->Payment->save($payment) ) {
					$this->flash("Zahlung erfoglreich eingetragen. Bitte beachten: Sollte sich der Zeitraum der Zahlung mit der aktuellen Runde überschneiden und der Rep die Zahlung überprüfen müssen kann es sein, dass die Zahlung erst zur nächsten Runde synchronisiert wird.", "/payments/show");
				}else {
					// save() hat nicht funktioniert, fehler in der eingabe
					$this->flash("Datenbankfehler. Leider konnte die Zahlung nicht gespeichert werden. Bitte versuchen Sie es zu einem späteren Zeitpunkt erneut.", "/payments/show");
					$this->set("errors", $this->Payment->invalidFields());
				}
			} else {
				// default werte für die view (bevor user seine eigenen daten eingegeben hat)
				$payment["Payment"]["uts_payment_from"] = date("d.m.Y");
				$payment["Payment"]["uts_payment_until"] = date("d.m.Y");
				$payment["Payment"]["amount"] = "0.0";
				$payment["Payment"]["rackwidth"] = 0;
				$payment["Payment"]["comment"] = "";
				$payment["Payment"]["paymenttype_id"] = 3;


				$this->set("payment", $payment);
			}

			// alle hersteller des users raussuchen
			$assignedManufacturers = $this->Aclusersmanufacturer->findAll("user_id=" . $this->getLoggedInUserID());
			$this->set(compact('assignedManufacturers'));
			//echo "assignedManufacturers: ";
			//print_r($assignedManufacturers);

			// für combobox
			//$manufacturers=$this->Manufacturer->findAll("isEnabled='y' order by name");
			//$this->set(compact('manufacturers'));

			// für combobox
			$csvstores=$this->Csvstore->findAll("Csvstore.isEnabled='y' order by uniqueExtID");
			
			//$assignedcsvstores =  $this->Acluserscsvstore->findAll("user_id=" . $this->getLoggedInUserID() );
			//$this->set("csvstores", $assignedcsvstores);
			//$csvstores = $this->Acluserscsvstore->findAll("user_id=" . $this->getLoggedInUserID());
			//$this->set(compact('csvstores'));

			// für combobox
			$paymenttypes=$this->Paymenttype->findAll("isEnabled='y'");
			$this->set(compact('paymenttypes'));
		}
	}


	// rep überprüft zahlungen
	function check() {
		if ($this->requireAccess(true, array("rep"))) {
			$rounds = $this->Round->findAll("isEnabled='y'  "  );
			$this->set(compact('rounds'));
			$selectedroundid = $this->smartSession('Payments.selectedroundid', @$_REQUEST['selectedroundid'], $rounds[0]['Round']['id']);
			$this->set(compact('selectedroundid'));
			
			
			$assignedmanufacturers =  $this->Aclusersmanufacturer->findAll("user_id=" . $this->getLoggedInUserID() );
			$this->set("assignedManufacturers", $assignedmanufacturers);
			$selectedmanufacturerid = $this->smartSession('Payments.selectedmanufacturerid', @$_REQUEST['selectedmanufacturerid'], $assignedmanufacturers [0]['Manufacturer']['id']);
			$this->set(compact('selectedmanufacturerid'));
			
			
			$assignedcsvstores =  $this->Acluserscsvstore->findAll("user_id=" . $this->getLoggedInUserID() );
			$this->set("csvstores", $assignedcsvstores);
			$selectedcsvstoreid = $this->smartSession('Payments.selectedcsvstoreid', @$_REQUEST['selectedcsvstoreid'], $assignedcsvstores [0]['Csvstore']['id']);
			$this->set(compact('selectedcsvstoreid'));
			
			$currentroundid =$this->Round->getCurrentRoundID();
			$this->set(compact("currentroundid"));
			
			if (isset($this->params["form"]["button"])) {
				//print_r($this->params["data"]["Paymentchecks"]);
				foreach ($this->params["data"]["Paymentchecks"] as $paymentcheck_id => $value) {
					
					if ($value=="yes") {
						// in db eintragen
						$paymentcheck=array();
						unset($paymentcheck["Paymentcheck"]["id"]);
						$paymentcheck["Paymentcheck"]["id"]=0; // damit wird a insert statemen und ka update statement gebaut
						$paymentcheck["Paymentcheck"]["payment_id"]=$paymentcheck_id;
						$paymentcheck["Paymentcheck"]["csvstore_id"]=$selectedcsvstoreid;
						$paymentcheck["Paymentcheck"]["uts_inserted"]=time();
						$paymentcheck["Paymentcheck"]["ip"]=$_SERVER['REMOTE_ADDR'];
						$paymentcheck["Paymentcheck"]["user_id"]=$this->getLoggedInUserID();
						$this->Paymentcheck->save($paymentcheck);
					} elseif($value=="no") {
						// aus db löschen, egal ob schon drin oder nicht
						$this->Paymentcheck->query("delete from paymentchecks where user_id=".$this->getLoggedInUserID()." and csvstore_id=" . $selectedcsvstoreid . " and payment_id=" . $paymentcheck_id);
					}
					
				}
				// damit man nicht mit nem browser reload nochmal die datensätze einfügt sondern sauber zurückgeleitet wird
				//$this->redirect( "/payments/check"); 
			}
			
			
			// eigentlich könnte man auch alle übergeben aber so machts weniger overhead
			$paymentchecks = $this->Paymentcheck->findAll("user_id=".$this->getLoggedInUserID()." and csvstore_id=".$selectedcsvstoreid);
			$this->set(compact("paymentchecks")); 
			

			$payments = $this->paginate("Payment", array("Payment.isEnabled='y' and manufacturer_id= " .$selectedmanufacturerid . " and csvstore_id= " . $selectedcsvstoreid));
			$this->set(compact("payments"));
		}
	}
	
	function show() {
		if ($this->requireAccess(true, array("accountmanager", "rep"))) {
		
			$assignedmanufacturers =  $this->Aclusersmanufacturer->findAll("user_id=" . $this->getLoggedInUserID() );
			
			$this->set("assignedmanufacturers", $assignedmanufacturers);
			$selectedmanufacturerid = (int) $this->smartSession('Payments.selectedmanufacturerid', @$_REQUEST['selectedmanufacturerid'], $assignedmanufacturers[0]['Manufacturer']['id']);
			$this->set(compact('selectedmanufacturerid'));
			
			$selectedyear = (int) $this->smartSession('Payments.selectedyear', @$_REQUEST['selectedyear'], date("Y"));
			$this->set(compact('selectedyear'));
			
			
			$assignedcsvstores =  $this->Acluserscsvstore->findAll("user_id=" . $this->getLoggedInUserID() );
			$this->set("assignedcsvstores", $assignedcsvstores);
			
			
			
			
			$selectedcsvstoreid = (int) $this->smartSession('Payments.selectedcsvstoreid', @$_REQUEST['selectedcsvstoreid'], $assignedcsvstores[0]['Csvstore']['id']);
			$this->set(compact('selectedcsvstoreid'));
			
			
			
			$payments = $this->paginate('Payment', array("manufacturer_id='".$selectedmanufacturerid ."' and csvstore_id='".$selectedcsvstoreid . "' and uts_payment_from>" . mktime(0,0,0,1,1,$selectedyear) . " and uts_payment_from <" . mktime(0,0,0,1,1,$selectedyear+1)  ));
			
			$this->set(compact('payments'));
			
			
			//exit(0);
		}
	}

	
}
?>
