<?php 
App::import("Vendor", 'fpdf/fpdf');
require_once($_SERVER['DOCUMENT_ROOT'] . "/../files/app/views/helpers/class.fpdf_table.php"); 


if (!defined('PARAGRAPH_STRING')) define('PARAGRAPH_STRING', '~~~');

class PdfHelper extends fpdf_table {
    var $helpers=""; // ka aba ohne diese zeile gibts an error
	
	var $title;
	
	function PdfHelper() {
		$this->setup();
	}
	
    /**
    * Allows you to change the defaults set in the FPDF constructor
    *
    * @param string $orientation page orientation values: P, Portrait, L, or Landscape    (default is P)
    * @param string $unit values: pt (point 1/72 of an inch), mm, cm, in. Default is mm
    * @param string $format values: A3, A4, A5, Letter, Legal or a two element array with the width and height in unit given in $unit
    */
    function setup ($orientation='P',$unit='mm',$format='A4') {
        //echo "setup";
		$this->FPDF($orientation, $unit, $format); 
		
    }
    
    /**
    * Allows you to control how the pdf is returned to the user, most of the time in CakePHP you probably want the string
    *
    * @param string $name name of the file.
    * @param string $destination where to send the document values: I, D, F, S
    * @return string if the $destination is S
    */
    function fpdfOutput ($name = 'page.pdf', $destination = 's') {
        // I: send the file inline to the browser. The plug-in is used if available. 
        //    The name given by name is used when one selects the "Save as" option on the link generating the PDF.
        // D: send to the browser and force a file download with the name given by name.
        // F: save to a local file with the name given by name.
        // S: return the document as a string. name is ignored.
        return $this->Output($name, $destination);
    }
	
	
	
	
	
	
	
	
	
	
	function Header()
    {
        //Logo
        $this->Image(WWW_ROOT.DS.'img/mct-logo.rgb.20cm.RZ!.jpg',170,8,33);  
        // you can use jpeg or pngs see the manual for fpdf for more info
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        //$this->Cell(80);
        //Title
		
		
		
        //$this->Cell(30,10,$this->title,1,0,'C');
        //Line break
        //$this->Ln(20);
    }

    //Page footer
    function Footer()
    {
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
		$this->SetX(12);
        $this->Cell(0,10,'Seite '.$this->PageNo().'/{nb}' . ". Generierungsdatum: " . date("d.m.Y H:i:s"),0,0,'C');
    } 
	
	
	
	
	
	
	
	
	
	
	
	function fancyTable($header, $colWidth, $data) {
		//Colors, line width and bold font
		$this->SetFillColor(255,0,0);
		$this->SetTextColor(255);
		$this->SetDrawColor(128,0,0);
		$this->SetLineWidth(.3);
		$this->SetFont('','B');
		//Header
		
		for($i=0;$i<count($header);$i++)
			$this->Cell($colWidth[$i],7,$header[$i],1,0,'C',1);
		$this->Ln();
		//Color and font restoration
		$this->SetFillColor(224,235,255);
		$this->SetTextColor(0);
		$this->SetFont('');
		//Data
		$fill=0;
		foreach($data as $row) {
			$i = 0;
			foreach($row as $col) {
				//$this->Cell($colWidth[$i++],6,$col,'LR',0,'L',$fill);
				//$this->MultiCell($colWidth[$i++],6,$col,'LR','L',$fill);
				$this->MultiCell(55, 20, "hello world clipping is COOLEfffSyeT", 1 , "L", false);
			}
			$this->Ln();
			$fill=!$fill;
		}
		//$this->Cell(array_sum($w),0,'','T');
	} 	
	
	
	
	
	
}



?>