<?php

function printVisitTable($pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    

    $columns = 6; //five columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
    }
	
    $header_type1[0]['WIDTH'] = 30;
    $header_type1[1]['WIDTH'] = 20;
    $header_type1[2]['WIDTH'] = 20;
    $header_type1[3]['WIDTH'] = 20;
    $header_type1[4]['WIDTH'] = 45;
	$header_type1[5]['WIDTH'] = 45;
    
    $header_type1[0]['TEXT'] = "Datum (tt.mm.jjjj)";
    $header_type1[1]['TEXT'] = "Zeit von";
    $header_type1[2]['TEXT'] = "Zeit bis";
    $header_type1[3]['TEXT'] = "Dauer";
    $header_type1[4]['TEXT'] = "Ansprechpartner HW";
    $header_type1[5]['TEXT'] = "Ansprechpartner SW";
    
    $aHeaderArray = array(
        $header_type1
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();



    //Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;

    for ($j=0; $j<1; $j++)
    {
        $data = Array();
        $data[0]['TEXT'] = "";
        $data[1]['TEXT'] = "";
        $data[2]['TEXT'] = "";
        $data[3]['TEXT'] = "";
        $data[4]['TEXT'] = "";
        $data[5]['TEXT'] = "";

        $pdf->tbDrawData($data);
    }
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}


function printOrderTable($pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    
    //$pdf = new pdf_usage();        

    $columns = 3; //# of columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
    }
	
    $header_type1[0]['WIDTH'] = 40;
    $header_type1[1]['WIDTH'] = 40;
    $header_type1[2]['WIDTH'] = 40;
    
    $header_type1[0]['TEXT'] = "Distributor";
    $header_type1[1]['TEXT'] = "Bestellnummer";
    $header_type1[2]['TEXT'] = "Bestellsumme";
    
	
    $aHeaderArray = array(
        $header_type1,
		
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();



    //Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;

    for ($j=0; $j<5; $j++)
    {
        $data = Array();
        $data[0]['TEXT'] = "";
        $data[1]['TEXT'] = "";
        $data[2]['TEXT'] = "";
        $data[3]['TEXT'] = "";
        $data[4]['TEXT'] = "";
        $data[5]['TEXT'] = "";

        $pdf->tbDrawData($data);
    }
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}

function printHeaderTable($manufacturer,$csvstore, $rep, $round, $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    
    //$pdf = new pdf_usage();        

    $columns = 2; //# of columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
		if ($i==0) {
	        $header_type1[$i] = $table_default_header_type;
			$header_type2[$i] = $table_default_header_type;
			$header_type3[$i] = $table_default_header_type;
			$header_type4[$i] = $table_default_header_type;
		} else {
			$header_type1[$i] = $table_default_data_type;
			$header_type2[$i] = $table_default_data_type;
			$header_type3[$i] = $table_default_data_type;
			$header_type4[$i] = $table_default_data_type;
		}
		
    }
	
    $header_type1[0]['WIDTH'] = 40;
    $header_type1[1]['WIDTH'] = 40;
    $header_type1[2]['WIDTH'] = 40;
    
    $header_type1[0]['TEXT'] = "Marke:";
    $header_type1[1]['TEXT'] = $manufacturer;
  
    
    $header_type2[0]['TEXT'] = "Markt:";
    $header_type2[1]['TEXT'] = $csvstore;

    
    $header_type3[0]['TEXT'] = "Sales Representative:";
    $header_type3[1]['TEXT'] = $rep;
	
    
    $header_type4[0]['TEXT'] = "Besuchsrunde:";
    $header_type4[1]['TEXT'] = $round;
  
    $aHeaderArray = array(
        $header_type1,
		$header_type2,
		$header_type3,
		$header_type4,
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();



   
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}



function printProductTable($selectedroundid, $rounds, $csvproducts, $manufacturer_id, $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    

    $columns = 11; //# of columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
    }
	
    $header_type1[0]['WIDTH'] = 5;
    $header_type1[1]['WIDTH'] = 25;
    $header_type1[2]['WIDTH'] = 64;
    $header_type1[3]['WIDTH'] = 15;
    $header_type1[4]['WIDTH'] = 15;
	$header_type1[5]['WIDTH'] = 20;
	$header_type1[6]['WIDTH'] = 5;
	$header_type1[7]['WIDTH'] = 11;
	$header_type1[8]['WIDTH'] = 10;
	$header_type1[9]['WIDTH'] = 10;
	$header_type1[10]['WIDTH'] = 20;
    
    $header_type1[0]['TEXT'] = "K";
    $header_type1[1]['TEXT'] = "Name";
    $header_type1[2]['TEXT'] = "Beschreibung";
    $header_type1[3]['TEXT'] = "MSB";
	$header_type1[4]['TEXT'] = "COS";
    $header_type1[5]['TEXT'] = "UVP";
    $header_type1[6]['TEXT'] = "Ch";
    $header_type1[7]['TEXT'] = "VK-Preis";
    $header_type1[8]['TEXT'] = "lagernd";
    $header_type1[9]['TEXT'] = "bestellt";
    $header_type1[10]['TEXT'] = "AM-Notiz";
	
	$header_type1[0]['T_SIZE'] = 6;
	$header_type1[1]['T_SIZE'] = 6;
	$header_type1[2]['T_SIZE'] = 6;
	$header_type1[3]['T_SIZE'] = 6;
	$header_type1[4]['T_SIZE'] = 6;
	$header_type1[5]['T_SIZE'] = 6;
	$header_type1[6]['T_SIZE'] = 6;
	$header_type1[7]['T_SIZE'] = 6;
	$header_type1[8]['T_SIZE'] = 6;
	$header_type1[9]['T_SIZE'] = 6;
    $header_type1[10]['T_SIZE'] = 6;
	
    $aHeaderArray = array(
        $header_type1
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();


	//Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;
	
	
	// aktuelles, sowie ausgewhltes uts_Rundenende sowie uts_Rundenanfang wird hier rausgefiltert
		$uts_selected_round_from = 0;
		$uts_selected_round_until = 0;
		$uts_current_round_from = 0;
		$uts_current_round_until = 0;
		
		foreach ($rounds as $round) {
		
			if ($round["Round"]["id"] == $selectedroundid) {
				$uts_selected_round_until= $round["Round"]["uts_round_until"];
				$uts_selected_round_from = $round["Round"]["uts_round_from"];	
			}
			/*
			if ($round["Round"]["id"] == $currentroundid) {
				$uts_current_round_until= $round["Round"]["uts_round_until"];
				$uts_current_round_from = $round["Round"]["uts_round_from"];	
			}
			*/
		}

 	for ($j=0; $j<sizeof($csvproducts); $j++) {
		
		$allowedToPrint = 0;
		// EOL Datum gesetzt
		
		if ($csvproducts[$j]["Csvproduct"]["eol_round_id"] != 0) {
					
			// eol Datum (anfang der kw) muss grer sein als Ende der aktuellen besuchsrunde
			if ($csvproducts[$j]["Round"]["uts_round_from"] > $uts_selected_round_until && $csvproducts[$j]["InsertedInRound"]["uts_round_until"] < $uts_selected_round_from) {
				$allowedToPrint = 1;
			}
				
		} else { //$csvproduct["Csvproduct"]["eol_round_id"] == 0, bedeutet EOL bei dem Produkt wurde nicht gesetzt
			
			if ($csvproducts[$j]["InsertedInRound"]["uts_round_until"] < $uts_selected_round_from) {
				$allowedToPrint = 1;
			} 
		} 
		
		// hersteller filtern 
		if ($csvproducts[$j]["Csvproduct"]["manufacturer_id"] == $manufacturer_id && $allowedToPrint == 1) {
			$data = Array();
			$data[0]['TEXT'] = $csvproducts[$j]["Csvproduct"]["productCategory"];
			$data[1]['TEXT'] = $csvproducts[$j]["Csvproduct"]["productID"];
			$data[2]['TEXT'] = $csvproducts[$j]["Csvproduct"]["productDescription"];
			$data[3]['TEXT'] = $csvproducts[$j]["Csvproduct"]["msbNumber"];
			$data[4]['TEXT'] = $csvproducts[$j]["Csvproduct"]["cosmosNumber"];
			$data[5]['TEXT'] = money_format("%i", $csvproducts[$j]["Csvproduct"]["retailPrice"]);
			$data[6]['TEXT'] = $csvproducts[$j]["Csvproduct"]["shouldBeChecked"];
			$data[7]['TEXT'] = "";
			$data[8]['TEXT'] = "";
			$data[9]['TEXT'] = "";
			$data[10]['TEXT'] = $csvproducts[$j]["Csvproduct"]["comment"];
			

			$pdf->tbDrawData($data);
		 }

    }
	
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}


function printPaymentTable($payments, $csvstore_id, $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    

    $columns = 6; //# of columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
    }
	
    $header_type1[0]['WIDTH'] = 10;
    $header_type1[1]['WIDTH'] = 30;
    $header_type1[2]['WIDTH'] = 30;
    $header_type1[3]['WIDTH'] = 15;
    $header_type1[4]['WIDTH'] = 80;
	$header_type1[5]['WIDTH'] = 20;
    
    $header_type1[0]['TEXT'] = "K";
    $header_type1[1]['TEXT'] = "Runde von";
    $header_type1[2]['TEXT'] = "Runde bis";
    $header_type1[3]['TEXT'] = "Typ";
	$header_type1[4]['TEXT'] = "Verwendung";
    $header_type1[5]['TEXT'] = "Summe";
    
    $aHeaderArray = array(
        $header_type1
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();


	//Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;


 	for ($j=0; $j<sizeof($payments); $j++)
    {
		// markt filtern
		if ($payments[$j]["Payment"]["csvstore_id"] == $csvstore_id) {
			$data = Array();
			$data[0]['TEXT'] = $payments[$j]["Payment"]["hasToBeCheckedByRep"] == "y" ? "Ja" : "Nein";
			$data[1]['TEXT'] = $payments[$j]["Roundfrom"]["description"];
			$data[2]['TEXT'] = $payments[$j]["Rounduntil"]["description"];
			$data[3]['TEXT'] = $payments[$j]["Paymenttype"]["name"];
			$data[4]['TEXT'] = $payments[$j]["Payment"]["description"];
			$data[5]['TEXT'] = money_format("%i", $payments[$j]["Payment"]["amount"]);

			

			$pdf->tbDrawData($data);
		 }
    }
	
	
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}




	$pdf->setTitle('Our Cool PDF'); 
    $pdf->SetFont('Arial','B',16);
    require_once($_SERVER['DOCUMENT_ROOT'] . "/../files/app/views/helpers/table_def.inc"); 
    




    //$pdf = new pdf_usage();        
    $pdf->Open();
    $pdf->SetAutoPageBreak(true, 20);
    $pdf->SetMargins(-20, 20, 20);
	$pdf->AliasNbPages(); 
	
	
	
			
	//$manufacturers=array("Netgear", "Symantec");
	//$csvstores=array("mm50", "sat502");
	
	foreach ($csvstores as $csvstore) {
	
		foreach ($manufacturers as $manufacturer) {
		
		
		
			// BESTELLUNGEN ******************************
			$pdf->AddPage();
			
			
			printHeaderTable($manufacturer["Manufacturer"]["name"], $csvstore["Csvstore"]["uniqueExtID"], $rep["User"]["last_name"] . " " . $rep["User"]["first_name"], $round["Round"]["description"], $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			$pdf->Ln(5);
		
		
		
			$pdf->SetX(5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(0, 0, "Besuch:");
			$pdf->Ln(5);
			printVisitTable($pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			
			$pdf->Ln(5);
			$pdf->SetX(5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(0, 0, "Bestellungen:");
		
			$pdf->Ln(5);
			
			printOrderTable($pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);



			// BESTANDSLISTE ******************************
			$pdf->AddPage();
			
			printHeaderTable($manufacturer["Manufacturer"]["name"], $csvstore["Csvstore"]["uniqueExtID"], $rep["User"]["last_name"] . " " . $rep["User"]["first_name"], $round["Round"]["description"], $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			$pdf->Ln(5);
			
			$pdf->SetX(5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(0, 0, "Bestandsliste:");
			$pdf->Ln(5);
			printProductTable($selectedroundid, $rounds, $csvproducts, $manufacturer["Manufacturer"]["id"], $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			
			// BESTANDSLISTE ******************************
			
			
			
			
			
			
			
			
			// ZAHHLUNGEN ******************************
			$pdf->AddPage();
			
			printHeaderTable($manufacturer["Manufacturer"]["name"], $csvstore["Csvstore"]["uniqueExtID"], $rep["User"]["last_name"] . " " . $rep["User"]["first_name"], $round["Round"]["description"], $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			$pdf->Ln(5);
			
			$pdf->SetX(5);
			$pdf->SetFont('Arial','B',10);
			$pdf->Cell(0, 0, "Zahlungen:");
			$pdf->Ln(5);
			printPaymentTable($payments, $csvstore["Csvstore"]["id"], $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
			
			// ZAHHLUNGEN ******************************
		
		
		}
		
	}


	
	
/*
	
	
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    
    //$pdf = new pdf_usage();        
    $pdf->Open();
    $pdf->SetAutoPageBreak(true, 20);
    $pdf->SetMargins(20, 20, 20);
    $pdf->AddPage();
    $pdf->AliasNbPages(); 

    $columns = 5; //five columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "<size>Tag-Based MultiCell Table</size>\nCreated by <t1 href='mailto: andy@interpid.euThis e-mail address is being protected from spambots, you need JavaScript enabled to view it '>Bintintan Andrei, Interpid Team</t1>";
    $ttxt2 = "<p>The cells in the table are fully functional <t1>Tag Based Multicells components</t1>. The description and usage of these components can be found <t1>here</t1>.</p>";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;
    
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
        $header_type2[$i] = $table_default_header_type;
        
        $header_type2[$i]['T_COLOR'] = array(10,20, 100);
        $header_type2[$i]['BG_COLOR'] = $bg_color2;
    }

    $header_type1[0]['WIDTH'] = 20;
    $header_type1[1]['WIDTH'] = 30;
    $header_type1[2]['WIDTH'] = 40;
    $header_type1[3]['WIDTH'] = 40;
    $header_type1[4]['WIDTH'] = 20;

    
    $header_type1[0]['TEXT'] = "Header 1";
    $header_type1[1]['TEXT'] = "Header 2";
    $header_type1[2]['TEXT'] = "Header 3";
    $header_type1[3]['TEXT'] = "Header 4";
    $header_type1[4]['TEXT'] = "Header 5";
    
    
    $header_type2[0]['TEXT'] = "Header Line 2, Centered, Colspan";
    $header_type2[0]['COLSPAN'] = 3;
    $header_type2[0]['T_ALIGN'] = 'C';
    
    $header_type2[3]['TEXT'] = "The Header can have multiple lines";
    $header_type2[3]['COLSPAN'] = 2;
    $header_type2[3]['ROWSPAN'] = 2;
    
    $aHeaderArray = array(
        $header_type1,
        $header_type2, 
        $header_type1,
        $header_type1
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();

    //Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;

    for ($j=0; $j<45; $j++)
    {
        $data = Array();
        $data[0]['TEXT'] = "Row No - $j";
        $data[0]['T_SIZE'] = $fsize;
        $data[1]['TEXT'] = "Test Text Column 1- $j";
        $data[1]['T_SIZE'] = 13 - $fsize;
        $data[2]['TEXT'] = "Test Text Column 2- $j";
        $data[3]['TEXT'] = "Longer text, this will split sometimes...";
        $data[3]['T_SIZE'] = 15 - $fsize;
        $data[4]['TEXT'] = "Short 4- $j";
        $data[4]['T_SIZE'] = 7;
            
        if ($j==0){
            $data[1]['TEXT'] = $ttxt1;
            $data[1]['COLSPAN'] = 4;
            $data[1]['T_ALIGN'] = "C";
            $data[1]['LN_SIZE'] = 5;
        }elseif ($j==1){
            
            $data[0]['TEXT'] = "Top Right Align <p>Align Top</p> Right Right Align ";
            $data[0]['T_ALIGN'] = "R";
            $data[0]['V_ALIGN'] = "T";
            
            $data[1]['TEXT'] = "Middle Center Align Bold Italic";
            $data[1]['T_ALIGN'] = "C";
            $data[1]['T_TYPE'] = "BI";
            $data[1]['V_ALIGN'] = "M";
            
            $data[2]['TEXT'] = "\n\n\n\n\nBottom Left Align";
            $data[2]['T_ALIGN'] = "L";
            $data[2]['V_ALIGN'] = "B";
            
            $data[3]['TEXT'] = "Middle Justified Align Longer text";
            $data[3]['T_ALIGN'] = "J";
            $data[3]['V_ALIGN'] = "M";
            
            $data[4]['TEXT'] = "TOP RIGHT Align";
            $data[4]['T_ALIGN'] = "R";
            $data[4]['V_ALIGN'] = "T";
        }
        
        if ($j>0){
            $data[0]['BG_COLOR'] = array(255-$rgb_b, $rgb_g, $rgb_r);
            $data[1]['BG_COLOR'] = array($rgb_r, $rgb_g, $rgb_b);
            $data[2]['BG_COLOR'] = array($rgb_b, $rgb_g, 220);
            $data[2]['T_COLOR'] = array(80, 20, $rgb_g);
        }
        
        if ($j>3 && $j<7){
            $data[1]['TEXT'] = "Colspan Example - Center Align";
            $data[1]['COLSPAN'] = $colspan;
            $data[1]['BG_COLOR'] = array($rgb_b, 50, 50);
            $data[1]['T_COLOR'] = array(255,255,$rgb_g);
            $data[1]['T_ALIGN'] = "C";
            $colspan++;
            if ($colspan>4) $colspan = 2;
        }
        
        if ($j==7){
            $data[3]['TEXT'] = "Rowspan Example";
            $data[3]['BG_COLOR'] = array($rgb_b, $rgb_b, 250);
            $data[3]['ROWSPAN'] = 4;
            
        }
        
        if ($j==8){
            $data[1]['TEXT'] = "Rowspan Example";
            $data[1]['BG_COLOR'] = array($rgb_b, 50, 50);
            $data[1]['ROWSPAN'] = 6;
        }
        
        if ($j==9){
            $data[2]['TEXT'] = "Rowspan Example";
            $data[2]['BG_COLOR'] = array($rgb_r, $rgb_r, $rgb_r);
            $data[2]['ROWSPAN'] = 3;
        }
        
        if ($j==12){
            $data[2]['TEXT'] = "Rowspan && Colspan Example\n\nCenter/Middle Allignment";
            $data[2]['T_ALIGN'] = 'C';
            $data[2]['V_ALIGN'] = 'M';
            $data[2]['BG_COLOR'] = array(234, 255, 218);
            $data[2]['ROWSPAN'] = 5;
            $data[2]['COLSPAN'] = 2;
        }
        
        if ($j==17){
            $data[0]['TEXT'] = $ttxt2;
            $data[0]['T_ALIGN'] = 'C';
            $data[0]['V_ALIGN'] = 'M';
            $data[0]['BG_COLOR'] = array(234, 255, 218);
            $data[0]['ROWSPAN'] = 5;
            $data[0]['COLSPAN'] = 4;
        }
            
        $fsize += 0.5;
        
        if ($fsize > 10) $fsize = 5;
        
        $rgb_b -= 10;
        $rgb_g -= 5;
        $rgb_b -= 20;
        
        if ($rgb_b < 150) $rgb_b = 255;
        if ($rgb_g < 150) $rgb_g = 255;
        if ($rgb_b < 150) $rgb_b = 255;    

        $pdf->tbDrawData($data);
    }
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
	
	*/
	
	
	
	
	
	
	
	
	
	
	//exit(0);
	
    echo $pdf->fpdfOutput(); 
	
?> 