<?php

function printTaskTable($task, $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type, $manufacturer) {
	$bg_color1 = array(234, 255, 218);
    $bg_color2 = array(165, 250, 220);
    $bg_color3 = array(255, 252, 249);    
    

    $columns = 2; //# of columns

    $pdf->SetStyle("p","times","",10,"130,0,30");
    $pdf->SetStyle("t1","arial","",10,"0,151,200");
    $pdf->SetStyle("size","times","BI",13,"0,0,120");
    
    $ttxt1 = "";
    $ttxt2 = "";
    
    //Initialize the table class
    $pdf->tbInitialize($columns, true, true);
    
    //set the Table Type
    $pdf->tbSetTableType($table_default_table_type);
    
    //Table Header
    for($i=0; $i<$columns; $i++) {
        $header_type1[$i] = $table_default_header_type;
    }
	
    $header_type1[0]['WIDTH'] = 50;
    $header_type1[1]['WIDTH'] = 140;
    
    $header_type1[0]['TEXT'] = "Auftrag";
    $header_type1[1]['TEXT'] = "Beschreibung";
    
    $aHeaderArray = array(
        $header_type1
    );    

    //set the Table Header
    $pdf->tbSetHeaderType($aHeaderArray, true);
    
    //Draw the Header
    $pdf->tbDrawHeader();



    //Table Data Settings
    $data_type = Array();//reset the array
    for ($i=0; $i<$columns; $i++) $data_type[$i] = $table_default_data_type;

    $pdf->tbSetDataType($data_type);
    
    $fsize = 5;
    $colspan = 2;
    $rowspan = 2;
    
    $rgb_r = 255;
    $rgb_g = 255;
    $rgb_b = 255;

    for ($j=0; $j<1; $j++)
    {
        $data = Array();
		
		
					
					
		
			$data[0]['TEXT'] = utf8_decode($task["Task"]["task"]);
       		$data[1]['TEXT'] = utf8_decode($task["Task"]["description"]);
		
		
		
       

        $pdf->tbDrawData($data);
    }
    
    //output the table data to the pdf
    $pdf->tbOuputData();
    
    //draw the Table Border
    $pdf->tbDrawBorder();     
}





// start of script ************************************

$pdf->setTitle('Our Cool PDF'); 
$pdf->SetFont('Arial','B',16);
require_once($_SERVER['DOCUMENT_ROOT'] . "/../files/app/views/helpers/table_def.inc"); 





//$pdf = new pdf_usage();        
$pdf->Open();
$pdf->SetAutoPageBreak(true, 20);
$pdf->SetMargins(-20, 20, 20);
$pdf->AliasNbPages(); 



		
//$manufacturers=array("Netgear", "Symantec");
//$csvstores=array("mm50", "sat502");
//$tasks=array("asdf", "asdf");

foreach ($manufacturers as $manufacturer) {
	
	
	// Auftrge ******************************
	$pdf->AddPage();

	//$pdf->SetX(5);
	$pdf->SetFont('Arial','B',10);
	
	$pdf->SetX(12);
	$pdf->Cell(0,5,"Auftrge: " . $manufacturer["Manufacturer"]["name"], 0, 1, 'C' );

	$pdf->SetX(12);
	$pdf->Cell(0,5,"Besuchsrunde: " . $round["Round"]["description"], 0, 1, 'C' );
	
	$pdf->Ln(10);
	
	foreach ($tasks as $task) {
	
		$pdf->SetX(5);
		$pdf->SetFont('Arial','B',10);
		
		$csvstoredescription="";
		
		// suche alle mrkte die zu diesem auftrag passen
		foreach ($acltaskscsvstores as $acltaskscsvstore) {
			
			// matchen
			if ($acltaskscsvstore["Acltaskscsvstore"]["task_id"] == $task["Task"]["id"]) {
				// dieser auftrag ist im markt: $acltaskscsvstore["Csvstore"]["id"]
				$csvstoredescription .= $acltaskscsvstore["Csvstore"]["uniqueExtID"] . " ";
			}
		}
		
		// tabelle nur anzeigen wenn dem user mind. ein markt zugeordnet wurde
		if ($csvstoredescription!="") {
		
			// zeige nur tasks fr hersteller: $manufacturer["Manufacturer"]["id"]
			if ($manufacturer["Manufacturer"]["id"] == $task["Task"]["manufacturer_id"]) {
		
				$pdf->Cell(0, 0, "Markt: " . $csvstoredescription);
				$pdf->Ln(5);
					
			
				printTaskTable($task, $pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type, $manufacturer);
			
				//printVisitTable($pdf, $table_default_table_type, $table_default_header_type, $table_default_data_type);
				
			
				$pdf->Ln(10);
			}
		}

		// Auftrge ******************************
		
	
	
		
	}

}








echo $pdf->fpdfOutput(); 
	
?> 